"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _styles = _interopRequireDefault(require("./styles"));
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const LimitedTextInput = props => {
  const {
    maxLength,
    style,
    hintStyles,
    hintType,
    borderType,
    delimiter,
    multiline,
    onChangeText
  } = props;
  const [enteredCount, setEnteredCount] = (0, _react.useState)(0);
  const [availableCount, setAvailableCount] = (0, _react.useState)(maxLength);
  const onChange = text => {
    if (onChangeText !== undefined) {
      onChangeText(text);
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.default.container]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.default.inputContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({}, props, {
    onChangeText: text => {
      const entered = text.length;
      const available = maxLength === undefined ? 0 : maxLength - entered;
      setEnteredCount(entered);
      setAvailableCount(available);
      onChange(text);
    },
    style: [_styles.default.input, (borderType === undefined || borderType === 'all') && _styles.default.inputBorder, style, borderType === 'bottom' && _styles.default.borderBottom, borderType === 'none' && _styles.default.withoutBorder, multiline !== undefined && multiline && _styles.default.textAlignVertical]
  }))), hintType !== 'none' && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [_styles.default.countHint, _styles.default.countHint, hintStyles]
  }, hintType !== 'all' && (maxLength === undefined || maxLength === 0) || hintType === 'only-entered' ? enteredCount : hintType === 'only-available' ? availableCount : enteredCount + (delimiter === 'out of' ? ' ' + delimiter + ' ' : delimiter !== undefined ? delimiter : '/') + maxLength));
};
var _default = exports.default = LimitedTextInput;
//# sourceMappingURL=index.js.map