function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import { TextInput } from 'react-native';
import { View } from 'react-native';
import { Text } from 'react-native';
import styles from './styles';
import React, { useState } from 'react';
const LimitedTextInput = props => {
  const {
    maxLength,
    style,
    hintStyles,
    hintType,
    borderType,
    delimiter,
    multiline,
    onChangeText
  } = props;
  const [enteredCount, setEnteredCount] = useState(0);
  const [availableCount, setAvailableCount] = useState(maxLength);
  const onChange = text => {
    if (onChangeText !== undefined) {
      onChangeText(text);
    }
  };
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.inputContainer
  }, /*#__PURE__*/React.createElement(TextInput, _extends({}, props, {
    onChangeText: text => {
      const entered = text.length;
      const available = maxLength === undefined ? 0 : maxLength - entered;
      setEnteredCount(entered);
      setAvailableCount(available);
      onChange(text);
    },
    style: [styles.input, (borderType === undefined || borderType === 'all') && styles.inputBorder, style, borderType === 'bottom' && styles.borderBottom, borderType === 'none' && styles.withoutBorder, multiline !== undefined && multiline && styles.textAlignVertical]
  }))), hintType !== 'none' && /*#__PURE__*/React.createElement(Text, {
    style: [styles.countHint, styles.countHint, hintStyles]
  }, hintType !== 'all' && (maxLength === undefined || maxLength === 0) || hintType === 'only-entered' ? enteredCount : hintType === 'only-available' ? availableCount : enteredCount + (delimiter === 'out of' ? ' ' + delimiter + ' ' : delimiter !== undefined ? delimiter : '/') + maxLength));
};
export default LimitedTextInput;
//# sourceMappingURL=index.js.map